[android-components](../../../index.md) / [mozilla.components.concept.engine.window](../../index.md) / [WindowRequest](../index.md) / [Type](./index.md)

# Type

`enum class Type` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/window/WindowRequest.kt#L17)

Describes the different types of window requests.

### Enum Values

| Name | Summary |
|---|---|
| [OPEN](-o-p-e-n.md) |  |
| [CLOSE](-c-l-o-s-e.md) |  |
